Page MenuHomePhabricator

Help to deploy new Thank you email in Dutch (with updated tax copy)
Closed, ResolvedPublic1 Story Points

Description

Hi fundraisers,

Michael has asked that we update the Tax info in the Dutch thank you letter. I have added this new copy in Dutch to the Thank you email and would like to use this opportunity to update the Thank you letter as a whole, to use the more recent copy from Katherine.

https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=page-Fundraising%2FTranslation%2FThank+you+email+20171019&language=nl&action=page&filter=

@Pcoombe There is a link to the Dutch tax page (https://wikimediafoundation.org/wiki/Tax_Deductibility/nl) that needs to be added in the letter. Below is the entire paragraph in Dutch as well as the English translation. I believe we need to add a parameter for this for the link to work. Would you be able to help with that?

Once all is done, we'll need someone from fr-tech to deploy.

Thanks all!

NL copy
Deze brief kan dienst doen als bewijs van je donatie. Er zijn geen goederen of diensten geleverd als tegenprestatie voor deze bijdrage. Het adres van de Wikipedia Foundation is P.O. Box 98204, Washington, DC 2009-0-8204, USA. Donaties aan de Wikimedia Foundation komen in aanmerking voor belastingvermindering volgens de Nederlandse belastingwetten. Raadpleeg je accountant of belastingadviseur voor individueel advies en kijk op https://wikimediafoundation.org/wiki/Tax_Deductibility/nl voor meer informatie.

English translation
This letter can serve as proof of your donation. No full or partial goods or services were offered for this contribution. The address for the Wikimedia Foundation, Inc. is P.O. Box 98204, Washington, DC 2009-0-8204, USA. Donations to the Wikimedia Foundation are eligible for tax deduction subject to Dutch tax laws. Please consult with your accountant or tax expert for individual advice, and see
https://wikimediafoundation.org/wiki/Tax_Deductibility/nl for more information.

Event Timeline

jrobell created this task.Apr 27 2018, 10:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 10:11 AM

I believe the tax deductibility link will work as is. However afaik there isn't currently an option to change the email for specific countries, so we can add it in Dutch, but can't add to the English message in the Netherlands. Is that something worth making another task for?

The translation for "Dear donor" also appears to be missing.

Thank you @Pcoombe ! I think the Dutch version will be fine for know as I am assuming making the Thank you letter country specific is a much bigger task? I think it may be worth looking into this possibility in the long term though as it may be beneficial for other campaigns as well.

Thanks for the catch re Dear donor, will check on that.

I have updated the missing "Dear donor" in Dutch and re-published the letter. Should be good to go!

DStrine set the point value for this task to 1.
Ejegg added a subscriber: Ejegg.May 1 2018, 12:20 AM

Thanks for the 'Beste' update @jrobell, but it looks like we lost the 'if' logic around it!

I think it should look like this:

[ifFirstnameAndLastname] Beste [given name],

[elseifFirstnameAndLastname] Beste donateur, [endifFirstnameAndLastname]

Ejegg added a comment.May 1 2018, 12:24 AM

@jrobell, Looks like we lost a LOT of the tags in the various translations of the latest thank you letter.

Here's the version we're currently sending out: https://meta.wikimedia.org/w/index.php?title=Fundraising/Translation/Thank_you_email_20161128/nl&oldid=16767058

Note that the amount placeholder should be [amount], and that there should be the conditional tags around the second and third paragraphs, e.g.: {% if "RecurringRestarted" in contribution_tags %} ... {% endif %}

It looks like marking the page up for translation wasn't done properly.
I'll try to fix it.

Okay, I believe the translations are now correctly tagged and published for nl, plus da, it, nb and sv.

@jrobell @TSkaff It's generally best for stuff like this to wrap only the content which needs translation in <translate> tags, and leave anything which should remain in English (such as the {% if "RecurringRestarted" in contribution_tags %}) outside. That makes it easier for translators, and less likely that these bits get missed out. You can see more information and examples at https://www.mediawiki.org/wiki/Help:Extension:Translate/Page_translation_example and I'm happy to help with setting these up if needed.

Ejegg added a comment.May 1 2018, 7:39 PM

Hi @jrobell or @Pcoombe, I had to make one tiny correction in the unsubscribe tag - could one of you set that to 'published' please?

Change 430256 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/crm@master] Update NL thank you letter

https://gerrit.wikimedia.org/r/430256

Change 430256 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Update NL thank you letter

https://gerrit.wikimedia.org/r/430256

OK, this is deployed and a test send looked good

Thank you @Ejegg I tested sending the thank you email to myself, but received the previous letter though and not the new one :

New letter : https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=page-Fundraising%2FTranslation%2FThank+you+email+20171019&language=nl&action=page&filter=

Does it take a while before the change goes out?

Thank you!

Ejegg added a comment.May 2 2018, 2:02 PM

@jrobell I'm getting the new one. I just sent you another (marked as recurring) from https://civicrm.wikimedia.org/admin/config/thank_you/test . Are you still seeing some of the old text? What did you use to send the earlier one?

Thank you @Ejegg I just received the new one and all seems fine now!

Ejegg closed this task as Resolved.May 2 2018, 2:28 PM
Ejegg claimed this task.

Great, glad to hear it!

Vvjjkkii renamed this task from Help to deploy new Thank you email in Dutch (with updated tax copy) to v3daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Ejegg as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Yann renamed this task from v3daaaaaaa to Help to deploy new Thank you email in Dutch (with updated tax copy).Jul 1 2018, 11:22 AM
Yann assigned this task to Ejegg.
Yann raised the priority of this task from High to Needs Triage.
Yann updated the task description. (Show Details)
Yann added subscribers: Aklapper, gerritbot.
Yann set the point value for this task to 1.Jul 1 2018, 11:36 AM
Yann closed this task as Resolved.Jul 1 2018, 12:12 PM